commit:     f726082eadf9d51deb6d12c47c076d21b0c956d3
Author:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 25 16:46:49 2023 +0000
Commit:     Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sat Nov 25 16:47:10 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f726082e

media-radio/unixcw: add 3.6.1

Signed-off-by: Thomas Beierlein <tomjbe <AT> gentoo.org>

 media-radio/unixcw/Manifest            |  1 +
 media-radio/unixcw/unixcw-3.6.1.ebuild | 78 ++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/media-radio/unixcw/Manifest b/media-radio/unixcw/Manifest
index 5369052e9a29..249376782961 100644
--- a/media-radio/unixcw/Manifest
+++ b/media-radio/unixcw/Manifest
@@ -1 +1,2 @@
 DIST unixcw-3.6.0.tar.gz 870148 BLAKE2B 
4eca3fe63ce7aec43e16ecca8120018e1bda6541f707ac9857db1f9dc6181a53ee24c7328f0a1f97a6aa1993600d68d9313e0567c12dfcf7a061837885aaefcb
 SHA512 
17abdfaeb2b4e7459e1efd93f5f85a8ed89fde06e5b8d23d83c9f1c76888bc9048af1a8adc9c030f560e94e0dd0576b3a30bf040fece4d13e001d01734d6338b
+DIST unixcw-3.6.1.tar.gz 975795 BLAKE2B 
5bc7822d216bef2ac452593c0e9dc537f2dfcd31f446c8795abc76d1d2ccfd4010a3b95982bc404ddc4c974456177e9f54bdefc169a14110bb503fd539025b07
 SHA512 
d91457b9b2247ce2be75773e2c37ca8b69c75c42c187ddfac5a9a8f4c9ad16acae3e4b0223e885bf7ae9c7201869581becd444f32c375ac521d2a712b7ddfb69

diff --git a/media-radio/unixcw/unixcw-3.6.1.ebuild 
b/media-radio/unixcw/unixcw-3.6.1.ebuild
new file mode 100644
index 000000000000..031ad834bc32
--- /dev/null
+++ b/media-radio/unixcw/unixcw-3.6.1.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Collection of programs that fit together to form a morse code 
tutor program"
+HOMEPAGE="https://unixcw.sourceforge.net";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+IUSE="alsa ncurses pulseaudio suid test qt5"
+RESTRICT="!test? ( test )"
+
+RDEPEND="ncurses? ( sys-libs/ncurses:= )
+       qt5? ( dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtwidgets:5 )
+       alsa? ( media-libs/alsa-lib )
+       pulseaudio? ( media-libs/libpulse )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       sys-devel/libtool"
+
+src_prepare() {
+       append-cflags -std=gnu11
+       append-cxxflags -std=gnu++11
+       eapply -p0 "${FILESDIR}"/${PN}-3.6-tinfo.patch
+       # Bug# 837617 and 858278
+       sed -i -e "s/curses, initscr/ncurses, initscr/" \
+               -e "s/_curses_initscr/_ncurses_initscr/" configure.ac || die
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               $(use_enable pulseaudio ) \
+               $(use_enable alsa ) \
+               $(use_enable ncurses cwcp ) \
+               $(use_enable qt5 xcwcp ) \
+               --disable-static
+}
+
+src_install() {
+       default
+
+       if ! use suid ; then
+               fperms 711 /usr/bin/cw
+               if use ncurses ; then
+                       fperms 711 /usr/bin/cwcp
+               fi
+               if use qt5 ; then
+                       fperms 711 /usr/bin/xcwcp
+               fi
+       fi
+
+       find "${D}" -name '*.la' -type f -delete || die
+}
+
+pkg_postinst() {
+       if use suid ; then
+               ewarn "You have choosen to install 'cw', 'cwcp' and 'xcwcp' 
setuid"
+               ewarn "by setting USE=suid."
+               ewarn "Be aware that this is a security risk and not 
recommended."
+               ewarn ""
+               ewarn "These files do only need root access if you want to use 
the"
+               ewarn "PC speaker for morse sidetone output. You can 
alternativly"
+               ewarn "drop USE=suid and use sudo."
+       else
+               elog "Be aware that 'cw', 'cwcp' and 'xcwcp' needs root access 
if"
+               elog "you want to use the PC speaker for morse sidetone output."
+               elog "You can call the programs via sudo for that (see 'man 
sudo')."
+       fi
+}

Reply via email to